/**
 * Returns:
 *  - 'null' if the node is not attached to the DOM
 *  - the root node (HTMLDocument | ShadowRoot) otherwise
 */
export declare function attachedRoot(node: Node): null | HTMLDocument | ShadowRoot;
export declare function isVisible(element: HTMLElement | SVGGraphicsElement): boolean;
export declare function isStyleSupport(styleName: string | string[], styleValue?: any): boolean;
export declare function parseStyleText(cssText?: string, camel?: boolean): Record<string, any>;
export declare function findDOMNodeByInstance(instance: any): any;
export declare function getElement(el?: HTMLElement | string | null): any;
